Debian Bug report logs - #526936
ITP: python-formalchemy -- auto-generation and customizable form

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arnaud Fontaine <arnau@debian.org>

Date: Mon, 4 May 2009 14:30:05 UTC

Owned by: shell909090@gmail.com

Severity: wishlist

Merged with 637892

Fixed in version python-formalchemy/1.4.1-1

Done: Shell Xu <shell909090@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#526936; Package wnpp. (Mon, 04 May 2009 14:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 04 May 2009 14:30:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: submit@bugs.debian.org
Subject: ITP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes
Date: Mon, 04 May 2009 16:28:16 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Arnaud Fontaine <arnau@debian.org>
Severity: wishlist

* Package name    : formalchemy
  Version         : 1.2
  Upstream Author : Alexandre Conrad <aconrad(dot.)tlv(at@)magic(dot.)fr>
* URL             : http://formalchemy.googlecode.com
* License         : MIT
  Programming Lang: Python
  Description     : auto-generation and customizable form fields from SQLAlchemy mapped classes

FormAlchemy  greatly speeds development  with SQLAlchemy  mapped classes
(models)  in a  HTML forms  environment.  It also  provides support  for
CouchDB and a Pylons administration interface.

FormAlchemy eliminates  boilerplate by autogenerating  HTML input fields
From a given model. FormAlchemy will try to figure out what kind of HTML
code  should be  returned by  introspecting the  model's  properties and
generate  ready-to-use   HTML  code   that  will  fit   the  developer's
application.

Of course,  FormAlchemy can't figure out everything,  i.e, the developer
might want  to display only  a few columns  from the given  model. Thus,
FormAlchemy is also highly customizable.


This package will be packaged as part of the python-modules debian team.

Regards,
Arnaud Fontaine
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#526936; Package wnpp. (Mon, 19 Oct 2009 14:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 19 Oct 2009 14:12:10 GMT) Full text and rfc822 format available.

Message #10 received at 526936@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: 526936@bugs.debian.org
Cc: control@bugs.debian.org
Subject: RFP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes
Date: Mon, 19 Oct 2009 15:12:30 +0200
[Message part 1 (text/plain, inline)]
retitle 526936 RFP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes
noowner 526936
thanks

Hello,

I was thinking about using FormAlchemy  in one of my project at work but
finally we end  up using Toscawidgets. Therefore, it  would be better if
someone else actually using FormAlchemy maintains it.

The package is already available  in DPMT SVN repository[0], except that
the new  upstream release has  to be packaged. Moreover,  initially, the
sources used to include Tempita Python  module, but this is not the case
anymore[1]. Thus, the package is almost ready for upload.

Cheers,
Arnaud Fontaine

[0] http://svn.debian.org/wsvn/python-modules/packages/formalchemy/#_packages_formalchemy_
[1] http://groups.google.com/group/formalchemy/browse_thread/thread/6b549ac4d71f7afa#
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'RFP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes' from 'ITP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes' Request was from Arnaud Fontaine <arnau@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 14:12:14 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Arnaud Fontaine <arnau@debian.org>. Request was from Arnaud Fontaine <arnau@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 14:12:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#526936; Package wnpp. (Wed, 21 Oct 2009 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carl Chenet <chaica@ohmytux.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 21 Oct 2009 17:48:03 GMT) Full text and rfc822 format available.

Message #19 received at 526936@bugs.debian.org (full text, mbox):

From: Carl Chenet <chaica@ohmytux.com>
To: 526936@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re:RFP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes
Date: Wed, 21 Oct 2009 19:07:18 +0200
owner 526936 chaica@ohmytux.com
thanks

Hi,

I'll take care of this package.

Bye,
-- 
Carl Chenet







Owner recorded as chaica@ohmytux.com. Request was from Carl Chenet <chaica@ohmytux.com> to control@bugs.debian.org. (Wed, 21 Oct 2009 17:48:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: formalchemy -- auto-generation and customizable form' from 'RFP: formalchemy -- auto-generation and customizable form fields from SQLAlchemy mapped classes' Request was from Carl Chenet <chaica@ohmytux.com> to control@bugs.debian.org. (Thu, 22 Oct 2009 21:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chaica@ohmytux.com:
Bug#526936; Package wnpp. (Sat, 19 Feb 2011 17:24:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chaica@ohmytux.com. (Sat, 19 Feb 2011 17:24:51 GMT) Full text and rfc822 format available.

Message #28 received at 526936@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 526936@bugs.debian.org
Cc: control@bugs.debian.org
Subject: formalchemy: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:47 +0000
retitle 526936 RFP: formalchemy -- auto-generation and customizable form
noowner 526936
thanks

Hi,

This is an automatic email to change the status of formalchemy back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting formalchemy, please send a mail to
<control@bugs.debian.org> with:

 retitle 526936 ITP: formalchemy -- auto-generation and customizable form
 owner 526936 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <526936@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: formalchemy -- auto-generation and customizable form' from 'ITP: formalchemy -- auto-generation and customizable form' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:26:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by chaica@ohmytux.com. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:26:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#526936; Package wnpp. (Wed, 17 Aug 2011 08:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shell Xu <shell909090@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Aug 2011 08:24:09 GMT) Full text and rfc822 format available.

Message #37 received at 526936@bugs.debian.org (full text, mbox):

From: Shell Xu <shell909090@gmail.com>
To: 526936@bugs.debian.org
Subject: formalchemy: from RFP to ITP and merge
Date: Wed, 17 Aug 2011 16:20:31 +0800
retitle 526936 ITP: python-formalchemy -- auto-generation and customizable form

owner 526936 shell909090@gmail.com

mergeĀ 526936 637892

thanks.




Changed Bug title to 'ITP: python-formalchemy -- auto-generation and customizable form' from 'RFP: formalchemy -- auto-generation and customizable form' Request was from Shell Xu <shell909090@gmail.com> to control@bugs.debian.org. (Wed, 17 Aug 2011 08:24:13 GMT) Full text and rfc822 format available.

Owner recorded as shell909090@gmail.com. Request was from Shell Xu <shell909090@gmail.com> to control@bugs.debian.org. (Wed, 17 Aug 2011 08:24:14 GMT) Full text and rfc822 format available.

Forcibly Merged 526936 637892. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Wed, 17 Aug 2011 09:45:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Oct 2011 07:37:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:56:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.